/*
 *   This is SteGUI, a graphical front-end to Steghide. You will need Steghide 
 *   to run SteGUI, you can get it at http://steghide.sf.net.
 *   SteGUI is Copyright (C) 2005 Nicola Cocchiaro <ncocchiaro@users.sf.net>
 *   Steghide is Copyright (C) 2003 Stefan Hetzl
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

// MsgWindow.h
// MsgWindow widget header file

#ifndef MSGWINDOW_H
#define MSGWINDOW_H

#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Box.H>
#include <FL/Enumerations.H>
#include <FL/Fl_Return_Button.H>
#include <string>
#include <iostream>

class MsgWindow : public Fl_Window
{
public:
	MsgWindow(int w, int h, std::string title, std::string text, std::string symbol);
	~MsgWindow();

	static void okCallback(Fl_Widget *w, void *d);
	static void windowclose(Fl_Widget *w, void *d);

private:
	Fl_Box *box, *icon;
	Fl_Return_Button *okButton;
	
};

#endif
